Bug 1334415 - Python-requests-kerberos upstream supports Python 3
Summary: Python-requests-kerberos upstream supports Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-requests-kerberos
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-05-09 14:45 UTC by Charalampos Stratakis
Modified: 2016-07-12 15:07 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-12 15:07:02 UTC


Attachments (Terms of Use)

Description Charalampos Stratakis 2016-05-09 14:45:24 UTC
Hello,

Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.

As it seems from the SPEC file, everything is ready for Python 3, upstream now supports it and python3-kerberos is also available.

It would be great if you could this for rawhide and f24

Comment 1 Dominika Krejčí 2016-06-28 09:29:25 UTC
Hello Dan,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 2 Dan Callaghan 2016-07-01 01:23:14 UTC
I was going to update to upstream 0.10.0 at the same time (bug 1333786) but actually there are some issues with that so I am probably better adding Python 3 support separately.

python-kerberos support for Python 3 is only in F24+ so I will target that.

Comment 3 Dan Callaghan 2016-07-01 02:03:31 UTC
Built this already:

http://koji.fedoraproject.org/koji/buildinfo?buildID=777034

but I just realised I forgot the Obsoletes for python-requests-kerberos -> python2-requests-kerberos rename...

Comment 4 Fedora Update System 2016-07-01 03:22:58 UTC
python-requests-kerberos-0.8.0-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f09f43eb7

Comment 5 Fedora Update System 2016-07-02 20:30:18 UTC
python-requests-kerberos-0.8.0-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f09f43eb7

Comment 6 Fedora Update System 2016-07-12 15:07:00 UTC
python-requests-kerberos-0.8.0-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.